This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 377241 - Compiles using libelf.h fail as off64_t is not defined
Compiles using libelf.h fail as off64_t is not defined
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: elfutils (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Roland McGrath
Fedora Extras Quality Assurance
:
: 426100 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 03:18 EST by Tom Hughes
Modified: 2008-11-26 04:04 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.132-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 04:04:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Hughes 2007-11-12 03:18:49 EST
Description of problem:

The libelf.h header now uses off64_t instead of off_t in various places, but it
does nothing to ensure that such a type is defined leading to failed compilation
of any code which uses libelf.h without defining _LARGEFILE64_SOURCE.

Version-Release number of selected component (if applicable):

elfutils-libelf-devel-0.130-3.fc8.x86_64

How reproducible:

Happens every time.

Steps to Reproduce:
1. Try and compile a C source file containing #include <libelf.h>
  
Actual results:

Compile fails.

Expected results:

Compile works.

Additional info:
Comment 1 Roland McGrath 2007-11-12 03:32:55 EST
Note that in prior versions, programs built without -D_FILE_OFFSET_BITS=64 on
32-bit machines were buggy if they used the Elf_Data type directly.  So if you
want to work correctly with a variety of elfutils-devel versions, using that
setting is the best plan.

I will replace off64_t with loff_t in the header for the next version.
Comment 2 Roland McGrath 2007-12-18 22:10:15 EST
*** Bug 426100 has been marked as a duplicate of this bug. ***
Comment 3 Fedora Update System 2008-01-24 16:48:54 EST
elfutils-0.132-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update elfutils'
Comment 4 Fedora Update System 2008-01-24 16:53:47 EST
elfutils-0.132-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update elfutils'
Comment 5 Fedora Update System 2008-03-01 16:48:26 EST
elfutils-0.133-1.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-05-21 15:48:51 EDT
elfutils-0.135-1.fc7 has been submitted as an update for Fedora 7
Comment 7 Fedora Update System 2008-05-21 15:51:25 EDT
elfutils-0.135-1.fc8 has been submitted as an update for Fedora 8
Comment 8 Fedora Update System 2008-05-21 15:52:55 EDT
elfutils-0.135-1.fc9 has been submitted as an update for Fedora 9
Comment 9 Fedora Update System 2008-05-28 22:39:43 EDT
elfutils-0.135-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update elfutils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-4457
Comment 10 Fedora Update System 2008-07-30 16:08:25 EDT
elfutils-0.135-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-07-30 16:11:37 EDT
elfutils-0.135-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Bug Zapper 2008-11-26 03:20:28 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Tom Hughes 2008-11-26 03:45:31 EST
This is fixed, so can be closed as such rather than as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.